<?php
/**
 * @component     CG Parallax
 * Version			: 1.1.1
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2021 ConseilGouz. All Rights Reserved.
 * @author ConseilGouz 
 * Updated on       : January, 2021
**/
// No direct access.
defined('_JEXEC') or die;
use Joomla\CMS\Table\Table;
use Joomla\CMS\Language\Text;
use Joomla\Utilities\ArrayHelper;
use Joomla\CMS\Factory;

class CGParallaxTablePage extends Table
{
	function __construct(&$_db)
	{
		parent::__construct('#__cgparallax_page', 'id', $_db);
		$this->created = Factory::getDate()->toSql();
	}

	function check()
	{
		jimport('joomla.filter.output');
		return true;
	}
	function store($key = 0)
	{
        $db    = Factory::getDBo();
        $table = $this->_tbl;
        $key   = empty($this->id) ? $key : $this->id;

        // Check if key exists
        $result = $db->setQuery(
            $db->getQuery(true)
                ->select('COUNT(*)')
                ->from($db->quoteName($this->_tbl))
                ->where($db->quoteName('id') . ' = ' . $db->quote($key))
        )->loadResult();

        $exists = $result > 0 ? true : false;

        // Prepare object to be saved
        $data = new stdClass();
        $data->id   = $key;
        $data->title = $this->title;
        $data->sections = $this->sections;
        $input = Factory::getApplication()->input;
		$compl = $input->getVar('jform', array(), 'post', 'array');
        $page_params = [];
        $page_params['menu'] = $compl['menu'];
        $page_params['sticky'] = $compl['sticky'];
        $page_params['navbar_bg'] = $compl['navbar_bg'];
        $page_params['navbar_color'] = $compl['navbar_color'];
        $page_params['magic'] = $compl['magic'];
        $page_params['magic_active'] = $compl['magic_active'];
        $page_params['css_gen'] = $compl['css_gen'];
		$compl = $input->getRaw('jform', array(), 'post', 'array');
		$page_params['intro'] = $compl['intro'];
		$page_params['bottom'] = $compl['bottom'];
        $data->page_params =  json_encode($page_params);
        $data->sections = json_encode($compl['sectionsList']);
		$data->state = $this->state;
		$data->language = $this->language;
        if ($exists)
        {
            return $db->updateObject($table, $data, 'id');
        }
		// insert a new object
		$ret = $db->insertObject($table, $data,'id');
		$this->id = $data->id;
		return $ret;
	}
	public function publish($pks = null, $state = 1, $userId = 0)
	{
		$k = $this->_tbl_key;
		ArrayHelper::toInteger($pks);
		$userId = (int) $userId;
		$state  = (int) $state;
		if (empty($pks))
		{
			if ($this->$k) {
				$pks = array($this->$k);
			}
			else {
				$this->setError(Text::_('JLIB_DATABASE_ERROR_NO_ROWS_SELECTED'));
				return false;
			}
		}
		$table = Table::getInstance('Page','cgparallaxTable');
		foreach ($pks as $pk)
		{
			if(!$table->load($pk))
			{
				$this->setError($table->getError());
			}
			if($table->checked_out==0 || $table->checked_out==$userId)
			{
				$table->state = $state;
				$table->checked_out=0;
				$table->checked_out_time=0;
				$table->check();
				if (!$table->store())
				{
					$this->setError($table->getError());
				}
			}
		}
		return count($this->getErrors())==0;
	}
}