<?php
/**
 * @component     CG Parallax
 * Version			: 1.0.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2021 ConseilGouz. All Rights Reserved.
 * @author ConseilGouz 
 * Updated on       : January, 2021
**/
// No direct access
defined('_JEXEC') or die;
use Joomla\Registry\Registry;
class CGParallaxViewPage extends JViewLegacy {

    protected $form;
    protected $pagination;
    protected $state;
	protected $page;

    /**
     * Display the view
     */
    public function display($tpl = null) {

		$this->form		= $this->get('Form');
		$this->page		= $this->get('Item');
		$this->formControl = $this->form ? $this->form->getFormControl() : null;	
		$this->page_params  = new Registry($this->page->page_params);			
	
        CGParallaxHelper::addSubmenu();

        $this->addToolbar();

        $this->sidebar = JHtmlSidebar::render();
        parent::display($tpl);
    }

    /**
     * Add the page title and toolbar.
     *
     * @since	1.6
     */
    protected function addToolbar() {
        require_once JPATH_COMPONENT . '/helpers/helper.php';

        $state = $this->get('State');
        $canDo = CGParallaxHelper::getActions();
        $input = JFactory::getApplication()->input;
		$input->setVar('hidemainmenu', true);

		$user		= JFactory::getUser();
		$userId		= $user->get('id');
		if (!isset($this->page->id)) $this->page->id = 0;
		$isNew		= ($this->page->id == 0);

		JToolBarHelper::title($isNew ? JText::_('CG_PX_ITEM_NEW') : JText::_('CG_PX_ITEM_EDIT'), '#xs#.png');

		// If not checked out, can save the item.
		if ($canDo->get('core.edit')) {
			JToolBarHelper::apply('page.apply');
			JToolBarHelper::save('page.save');
		}

		if (empty($this->page->id))  {
			JToolBarHelper::cancel('page.cancel');
		}
		else {
			JToolBarHelper::cancel('page.cancel', 'JTOOLBAR_CLOSE');
		}
    }

}
